IM_UPDATEHIST(3)

NAME
im_updatehist - appends a line of data to Hist

SYNOPSIS
#include <vips/vips.h> int im_updatehist(image, argc, argv)
IMAGE *image;
int argc;
char *argv[];

DESCRIPTION
im_updatehist(3) is called by the main program to update the history of an image. The function appends to the Hist member of the IMAGE descriptor image a string with argc, argv and the time followed by a CR. The arguments argc and argv are taken directly from the main program. If for any reason Hist is NULL, then the program makes up a history string by using the filename of the image descriptor followed by CR. This routine should be called by all main programs only, before applying im_close(3).

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_open(3), im_histlin(3).

COPYRIGHT
N. Dessipris - 23/04/1991

AUTHOR
N. Dessipris 32/04/1991